## com.fasterxml.jackson.databind.ext
Class CoreXMLDeserializers

    java.lang.Object
      com.fasterxml.jackson.databind.ext.CoreXMLDeserializers

All Implemented Interfaces:
  Provider<StdDeserializer<?>>

    public class CoreXMLDeserializers

extends Object
implements Provider<StdDeserializer<?>>

Container deserializers that handle "core" XML types: ones included in standard JDK 1.5. Types are directly needed by JAXB, and are thus supported within core mapper package, not in "xc" package.

Nested Class Summary
`static class` `CoreXMLDeserializers.DurationDeserializer`
`static class` `CoreXMLDeserializers.GregorianCalendarDeserializer`
`static class` `CoreXMLDeserializers.QNameDeserializer`

Constructor Summary
`CoreXMLDeserializers()`

Method Summary
`Collection<StdDeserializer<?>>` `provide()` Method called by `BasicDeserializerFactory` to register deserializers this class provides.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreXMLDeserializers

    public CoreXMLDeserializers()

Method Detail

### provide

    public Collection<StdDeserializer<?>> provide()

  Method called by `BasicDeserializerFactory` to register deserializers this class provides.

  Specified by:
    `provide` in interface `Provider<StdDeserializer<?>>`

Copyright © 2012 FasterXML. All Rights Reserved.